Cài đặt ứng dụng của chúng tôi 🪄 nhấp vào biểu tượng ở góc trên bên phải của thanh địa chỉ.

Tên miền tùy chỉnh

GET https://digily.link/api/domains/
curl --request GET \
--url 'https://digily.link/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: host.
is_enabled Tùy chọn Boolean
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả theo. Các giá trị được cho phép là: domain_id , datetime , last_datetime , host.
order_type Tùy chọn Chuỗi Thứ tự của các kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
page Tùy chọn Số nguyên Số trang mà bạn muốn lấy kết quả từ đó. Mặc định là 1.
results_per_page Tùy chọn Số nguyên Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị được phép là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-03-20 23:20:41",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/domains?page=1",
        "last": "https://digily.link/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/domains?page=1"
    }
}
GET https://digily.link/api/domains/{domain_id}
curl --request GET \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-03-20 23:20:41",
    }
}
POST https://digily.link/api/domains
Tham số Chi tiết Mô tả
host Bắt buộc Chuỗi -
custom_index_url Tùy chọn Chuỗi -
custom_not_found_url Tùy chọn Chuỗi -
curl --request POST \
--url 'https://digily.link/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1
    }
}
POST https://digily.link/api/domains/{domain_id}
Tham số Chi tiết Mô tả
host Tùy chọn Chuỗi -
custom_index_url Tùy chọn Chuỗi -
custom_not_found_url Tùy chọn Chuỗi -
curl --request POST \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://digily.link/api/domains/{domain_id}
curl --request DELETE \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \